/* You may freely copy, distribute and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to
 * its fitness for any particular use.
 */ 

#import <appkit/appkit.h>
#import "CallRecord.h"

@interface CallController : Object

{
    id customerForm; /* the Form containing name, street, city, state, phone */
    id questionText; /* the TextField containing the customer query */
    id answerText; /* the TextField containing customer support answer */
    id callTable; /* the HashTable that stores CallRecords */
    id infoPanel; /* the application's info panel */
    char callFilePath[MAXPATHLEN + 1]; /* a buffer for the log file path */
}

- init;
- awakeFromNib;
- clearForm:sender;
- retrieveCall:sender;
- saveCall:sender;
- showInfoPanel:sender;
- free;

@end
