/* You may freely copy, distribute and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to
 * its fitness for any particular use.
 */ 

#import <appkit/appkit.h>

@interface CallRecord:Object

{
    char *name; 
    char *street;
    char *city;
    char *state;
    char *phone;
    char *question;
    char *answer;
}

- (const char *)name;
- setName:(const char *)theName;
- (const char *)street;
- setStreet:(const char *)theStreet;
- (const char *)city;
- setCity:(const char *)theCity;
- (const char *)state;
- setState:(const char *)theState;
- (const char *)phone;
- setPhone:(const char *)thePhone;
- (const char *)question;
- setQuestion:(const char *)theQuestion;
- (const char *)answer;
- setAnswer:(const char *)theAnswer;
- read:(NXTypedStream *)theStream;
- write:(NXTypedStream *)theStream;
- free;

@end
